#
# spec file for package python-ptr
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-ptr
Version:        20.2.26
Release:        lp152.1.1
Summary:        Parallel asyncio Python setup(cfg|py) test runner
License:        MIT
URL:            https://github.com/facebookincubator/ptr
Source:         https://files.pythonhosted.org/packages/source/p/ptr/ptr-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# Conflicts on site-packages/ptr.py
Conflicts:      python-pytest-runner
BuildArch:      noarch
%python_subpackages

%description
Parallel asyncio Python setup.(cfg|py) test runner.

%prep
%setup -q -n ptr-%{version}
sed -i 's/test_config/_test_config/' ptr_tests.py
sed -i '1{/^#!/d}' *.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python %{buildroot}%{_bindir}/ptr --help
%python_exec setup.py test

%files %{python_files}
%doc CHANGES.md README.md
%python3_only %{_bindir}/ptr
%{python_sitelib}/*

%changelog
* Wed Mar 18 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 20.2.26:
  - Add support for passing `--system-site-packages` during venv creation - PR: #80
  - Add ability to create partial `.ptrconfig` files - PR: #83
  - Use native recursive file search for black and flake8 - PR: #81
  - Fix documentation for some new arguments - Thanks @omikader
  - Windows now defaults to updating pip + setuptools
  - Rely on setting current working directory with subprocess and remove coverage file environment setting
  - f-string everything via [flynt](https://pypi.org/project/flynt/) now we're >= 3.6
  - Enable pyre for Python 3.8 now it's fully supported
* Thu Jan  2 2020 Tomáš Chvátal <tchvatal@suse.com>
- Conflict with pytest-runner as we provide same file on the disk
* Mon Dec  9 2019 John Vandenberg <jayvdb@gmail.com>
- Activate test suite
- Update to v19.11.21
* Tue Apr 16 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v19.3.5
